# Account

Retrieve account-level information for the currently authenticated user.

Use these endpoints to fetch the profile and workspace context attached to the credentials used for the request.

## GET /me/profile

> Get Profile

```json
{"openapi":"3.1.0","info":{"title":"Umanize API","version":"0.1.0"},"tags":[{"name":"me","description":"Retrieve account-level information for the currently authenticated user.\n\nUse these endpoints to fetch the profile and workspace context attached to the credentials used for the request."}],"servers":[{"url":"https://api.aurorasuite.ai","description":"Production"}],"security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Use a JWT bearer token in the Authorization header."},"apiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key","description":"Use an API key for server-to-server integrations."}},"schemas":{"ProfileOut":{"properties":{"company_name":{"type":"string","title":"Company Name"},"vat_number":{"title":"Vat Number","type":"string"},"address":{"title":"Address","type":"string"},"city":{"title":"City","type":"string"},"province":{"title":"Province","type":"string"},"postal_code":{"title":"Postal Code","type":"string"},"country":{"title":"Country","type":"string"},"phone":{"title":"Phone","type":"string"},"id":{"type":"string","format":"uuid","title":"Id"},"user_id":{"type":"string","format":"uuid","title":"User Id"}},"type":"object","required":["company_name","id","user_id"],"title":"ProfileOut"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/me/profile":{"get":{"tags":["me"],"summary":"Get Profile","operationId":"get_profile_me_profile_get","parameters":[{"name":"X-API-Key","in":"header","required":false,"schema":{"title":"X-Api-Key","type":"string"}}],"responses":{"200":{"description":"Request completed successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileOut"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## POST /me/profile

> Upsert Profile

```json
{"openapi":"3.1.0","info":{"title":"Umanize API","version":"0.1.0"},"tags":[{"name":"me","description":"Retrieve account-level information for the currently authenticated user.\n\nUse these endpoints to fetch the profile and workspace context attached to the credentials used for the request."}],"servers":[{"url":"https://api.aurorasuite.ai","description":"Production"}],"security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Use a JWT bearer token in the Authorization header."},"apiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key","description":"Use an API key for server-to-server integrations."}},"schemas":{"ProfileBase":{"properties":{"company_name":{"type":"string","title":"Company Name"},"vat_number":{"title":"Vat Number","type":"string"},"address":{"title":"Address","type":"string"},"city":{"title":"City","type":"string"},"province":{"title":"Province","type":"string"},"postal_code":{"title":"Postal Code","type":"string"},"country":{"title":"Country","type":"string"},"phone":{"title":"Phone","type":"string"}},"type":"object","required":["company_name"],"title":"ProfileBase"},"ProfileOut":{"properties":{"company_name":{"type":"string","title":"Company Name"},"vat_number":{"title":"Vat Number","type":"string"},"address":{"title":"Address","type":"string"},"city":{"title":"City","type":"string"},"province":{"title":"Province","type":"string"},"postal_code":{"title":"Postal Code","type":"string"},"country":{"title":"Country","type":"string"},"phone":{"title":"Phone","type":"string"},"id":{"type":"string","format":"uuid","title":"Id"},"user_id":{"type":"string","format":"uuid","title":"User Id"}},"type":"object","required":["company_name","id","user_id"],"title":"ProfileOut"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/me/profile":{"post":{"tags":["me"],"summary":"Upsert Profile","operationId":"upsert_profile_me_profile_post","parameters":[{"name":"X-API-Key","in":"header","required":false,"schema":{"title":"X-Api-Key","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileBase"}}}},"responses":{"200":{"description":"Request completed successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileOut"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## GET /me/questionnaire

> Get Questionnaire

```json
{"openapi":"3.1.0","info":{"title":"Umanize API","version":"0.1.0"},"tags":[{"name":"me","description":"Retrieve account-level information for the currently authenticated user.\n\nUse these endpoints to fetch the profile and workspace context attached to the credentials used for the request."}],"servers":[{"url":"https://api.aurorasuite.ai","description":"Production"}],"security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Use a JWT bearer token in the Authorization header."},"apiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key","description":"Use an API key for server-to-server integrations."}},"schemas":{"QuestionnaireOut":{"properties":{"usage_description":{"type":"string","title":"Usage Description"},"team_size":{"type":"integer","title":"Team Size"},"acquisition_channel":{"type":"string","title":"Acquisition Channel"},"id":{"type":"string","format":"uuid","title":"Id"},"user_id":{"type":"string","format":"uuid","title":"User Id"}},"type":"object","required":["usage_description","team_size","acquisition_channel","id","user_id"],"title":"QuestionnaireOut"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/me/questionnaire":{"get":{"tags":["me"],"summary":"Get Questionnaire","operationId":"get_questionnaire_me_questionnaire_get","parameters":[{"name":"X-API-Key","in":"header","required":false,"schema":{"title":"X-Api-Key","type":"string"}}],"responses":{"200":{"description":"Request completed successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QuestionnaireOut"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## POST /me/questionnaire

> Upsert Questionnaire

```json
{"openapi":"3.1.0","info":{"title":"Umanize API","version":"0.1.0"},"tags":[{"name":"me","description":"Retrieve account-level information for the currently authenticated user.\n\nUse these endpoints to fetch the profile and workspace context attached to the credentials used for the request."}],"servers":[{"url":"https://api.aurorasuite.ai","description":"Production"}],"security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Use a JWT bearer token in the Authorization header."},"apiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key","description":"Use an API key for server-to-server integrations."}},"schemas":{"QuestionnaireBase":{"properties":{"usage_description":{"type":"string","title":"Usage Description"},"team_size":{"type":"integer","title":"Team Size"},"acquisition_channel":{"type":"string","title":"Acquisition Channel"}},"type":"object","required":["usage_description","team_size","acquisition_channel"],"title":"QuestionnaireBase"},"QuestionnaireOut":{"properties":{"usage_description":{"type":"string","title":"Usage Description"},"team_size":{"type":"integer","title":"Team Size"},"acquisition_channel":{"type":"string","title":"Acquisition Channel"},"id":{"type":"string","format":"uuid","title":"Id"},"user_id":{"type":"string","format":"uuid","title":"User Id"}},"type":"object","required":["usage_description","team_size","acquisition_channel","id","user_id"],"title":"QuestionnaireOut"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/me/questionnaire":{"post":{"tags":["me"],"summary":"Upsert Questionnaire","operationId":"upsert_questionnaire_me_questionnaire_post","parameters":[{"name":"X-API-Key","in":"header","required":false,"schema":{"title":"X-Api-Key","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/QuestionnaireBase"}}}},"responses":{"200":{"description":"Request completed successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QuestionnaireOut"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## GET /me/status

> Get Status

```json
{"openapi":"3.1.0","info":{"title":"Umanize API","version":"0.1.0"},"tags":[{"name":"me","description":"Retrieve account-level information for the currently authenticated user.\n\nUse these endpoints to fetch the profile and workspace context attached to the credentials used for the request."}],"servers":[{"url":"https://api.aurorasuite.ai","description":"Production"}],"security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Use a JWT bearer token in the Authorization header."},"apiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key","description":"Use an API key for server-to-server integrations."}},"schemas":{"OnboardingStatusOut":{"properties":{"onboarding_status":{"$ref":"#/components/schemas/OnboardingStatus"},"email_verified":{"type":"boolean","title":"Email Verified"},"twofa_enabled":{"type":"boolean","title":"Twofa Enabled"},"is_superuser":{"type":"boolean","title":"Is Superuser"},"current_plan":{"title":"Current Plan","type":"string"},"onboarding_checklist":{"$ref":"#/components/schemas/OnboardingChecklistOut"}},"type":"object","required":["onboarding_status","email_verified","twofa_enabled","is_superuser","onboarding_checklist"],"title":"OnboardingStatusOut"},"OnboardingStatus":{"type":"string","enum":["email_pending","profile_required","questionnaire_required","plan_required","completed"],"title":"OnboardingStatus"},"OnboardingChecklistOut":{"properties":{"total":{"type":"integer","title":"Total"},"completed":{"type":"integer","title":"Completed"},"items":{"items":{"$ref":"#/components/schemas/OnboardingChecklistItem"},"type":"array","title":"Items"}},"type":"object","required":["total","completed","items"],"title":"OnboardingChecklistOut"},"OnboardingChecklistItem":{"properties":{"key":{"type":"string","enum":["first_agent","first_test_call","first_voip_number","first_outbound_campaign"],"title":"Key"},"title":{"type":"string","title":"Title"},"completed":{"type":"boolean","title":"Completed"}},"type":"object","required":["key","title","completed"],"title":"OnboardingChecklistItem"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/me/status":{"get":{"tags":["me"],"summary":"Get Status","operationId":"get_status_me_status_get","parameters":[{"name":"X-API-Key","in":"header","required":false,"schema":{"title":"X-Api-Key","type":"string"}}],"responses":{"200":{"description":"Request completed successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OnboardingStatusOut"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aurorasuite.ai/api-reference/account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
